import { LiveStreamPlayer } from "./LiveStreamPlayer";
import { AbstractUiComponent } from "../AbstractUiComponent";
import { TeamAppsUiContext } from "../TeamAppsUiContext";
import { UiYoutubePlayerConfig } from "../../generated/UiYoutubePlayerConfig";
export declare class UiYoutubePlayer extends AbstractUiComponent<UiYoutubePlayerConfig> implements LiveStreamPlayer {
    private static scriptTagAdded;
    private static scriptLoaded;
    private static commandsToInvokeWhenScripLoaded;
    private playing;
    private $wrapper;
    private $player;
    private player;
    private playerReady;
    private commandsToInvokeWhenPlayerReady;
    static onYouTubeIframeAPIReady(): void;
    private static invokeWhenScripLoaded;
    constructor(config: UiYoutubePlayerConfig, context: TeamAppsUiContext);
    play(url: string): void;
    stop(): void;
    isPlaying(): boolean;
    setVolume(volume: number): void;
    private onPlayerReady;
    private invokeWhenPlayerReady;
    private onPlayerStateChange;
    getMainDomElement(): HTMLElement;
    destroy(): void;
}
